/* RESET */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;
    background: #fafafa;
}

/* CONTAINER */

.container {
    width: 100%;
    max-width: 1650px;
    margin: 0 auto;
    padding: 0 60px;
}

/* HEADER */

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 30px 0;
    z-index: 9999;
}

.header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo img {
    height: 70px;
}

.menu {
    display: flex;
    gap: 50px;
}

.menu a {
    color: #0E1B29;
    text-decoration: none;
    font-size: .65rem;
    letter-spacing: 5px;
    transition: .3s;
}

.menu a:hover {
    color: #ff4c4c;
}

.menu-toggle {
    display: none;
}

/* =====================================
   HERO
===================================== */

.hero {
    position: relative;
    min-height: 100vh;
    overflow: hidden;

    background: #fafafa;
}

/* VIDEO */

.hero-video {
    position: absolute;
    inset: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    z-index: 1;
}

.hero-video video,
.hero-video img {
    width: 100%;
    max-width: 1920px;
    height: auto;

    display: block;
}

/* OVERLAY */

.hero-overlay {
    position: absolute;
    inset: 0;

    background:
        linear-gradient(90deg,
            rgba(255, 255, 255, .92) 0%,
            rgba(255, 255, 255, .55) 35%,
            rgba(255, 255, 255, .10) 60%,
            rgba(255, 255, 255, .35) 100%);

    z-index: 2;
}

/* CONTAINER */

.hero .container {
    position: relative;
    z-index: 10;

    width: 100%;
    max-width: 1650px;
    height: 100vh;

    margin: 0 auto;
    padding: 0 60px;

    display: flex;
    align-items: center;
}

/* TEXTO */

.hero-content {
    width: 100%;
}

.hero-text {
    max-width: 650px;
}

.hero-text h1 {
    font-size: clamp(1rem, 3vw, 3rem);
    font-weight: 700;
    line-height: 1;

    color: #071D49;

    margin-bottom: 30px;
}

.hero-text h1 span {
    color: #ff4c4c;
}

.hero-text p {
    max-width: 520px;

    font-size: 1rem;
    line-height: 1.8;

    color: #555;

    margin-bottom: 40px;
}

.hero-btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    height: 60px;
    padding: 0 35px;

    border-radius: 999px;

    background: #fff;

    font-weight: 600;
    color: #071D49;

    text-decoration: none;

    box-shadow: 0 15px 40px rgba(0, 0, 0, .08);
}

/* TEXTO GIGANTE */

.hero-bg-text {
    position: absolute;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);

    width: 100%;

    text-align: center;

    font-size: clamp(180px, 15vw, 320px);
    font-weight: 800;
    line-height: .8;

    color: rgba(0, 0, 0, .03);

    z-index: 0;

    pointer-events: none;
}

/* TABLET */
@media (max-width: 1024px) {

    .hero {
        min-height: auto;
    }

    .hero-video {
        position: relative;

        width: 100%;
        height: 100vh;

        display: flex;
        justify-content: center;
        align-items: center;
    }

    .logo img {
        height: 50px;
    }

    .hero-video video,
    .hero-video img {
        height: 100%;
        width: auto;
        max-width: none;
    }

    .hero-overlay {
        background:
            linear-gradient(180deg,
                rgba(255, 255, 255, .30) 0%,
                rgba(255, 255, 255, .60) 100%);
    }

    .hero .container {
        position: absolute;
        inset: 0;

        height: 100%;

        justify-content: center;
        text-align: center;
    }

    .hero-text {
        max-width: 700px;
        margin: auto;
    }

    .hero-text h1 {
        font-size: clamp(3rem, 6vw, 6rem);
        font-weight: 700;
        line-height: 1;

    }

    .hero-text p {
        margin-left: auto;
        margin-right: auto;
    }
}

/* MOBILE */

@media (max-width: 768px) {

    .hero {
        display: flex;
        flex-direction: column;

        min-height: auto;
    }

    .hero-video {
        position: relative;

        width: 100%;
        height: 48vh;

        overflow: hidden;

        display: flex;
        justify-content: center;
        align-items: flex-start;
    }

    .hero-video video,
    .hero-video img {
        width: 130%;
        max-width: none;
        height: auto;

        position: absolute;
        left: 50%;
        top: 0;

        transform: translateX(-50%);
    }

    .hero-overlay {
        display: none;
    }

    .hero .container {
        position: relative;

        height: auto;

        padding: 50px 25px 70px;
    }

    .hero-content {
        text-align: center;
    }

    .hero-text {
        max-width: 100%;
    }

    .hero-text h1 {
        font-size: 2.6rem;
    }

    .hero-text p {
        font-size: 1rem;

        margin-left: auto;
        margin-right: auto;
    }

    .hero-btn {
        width: 100%;
        max-width: 320px;
    }

    .hero-bg-text {
        display: none;
    }

    .menu {
        display: none;
    }

    .menu-toggle {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 5px;

        width: 44px;
        height: 44px;

        border: none;
        background: none;
        cursor: pointer;
    }

    .menu-toggle span {
        width: 24px;
        height: 2px;

        background: #071D49;
        border-radius: 999px;

        transition: .3s;
    }

    .logo img {
        height: 40px;
        width: auto;
    }
}